Allow adjusting notification checking period

02/08/2017 05:46 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: matan werbner   

Category: Notifications   

Target version: 1.16.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4520

  

Description

Checking for notifications every 10 seconds seems excessive.

At a minimum I'd like a way to increase that period on a per-organization basis.

Another idea would be to have the time between checks increase with idle activity. Start at 10 seconds but if no user interaction with

UI, begin to bump up the interval to some max (perhaps every one minute?). This should be configurable as well.

Related issues:

Related to Foreman - Feature #19535: Silence notification Rails logs Rejected

Has duplicate Foreman - Refactor #18961: Reduce frequency of notification pol... Duplicate 03/20/2017

Associated revisions

Revision b8c9069d - 05/15/2017 06:23 AM - matan werbner

Fixes #18438 - control notifications polling

History

#1 - 02/27/2017 09:57 AM - Gail Steiger

I think it would be more worthwhile to implement websockets sooner rather than setting up an interim configuration mechanism.

#2 - 02/27/2017 09:59 AM - Ohad Levy

Gail, websockets is probably not feasible in the near/immediate future

#3 - 03/20/2017 09:13 AM - Ohad Levy

- Has duplicate Refactor #18961: Reduce frequency of notification polling added

#4 - 05/10/2017 04:08 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4520 added

#5 - 05/10/2017 04:09 AM - matan werbner

- Status changed from Ready For Testing to New

- Assignee set to matan werbner

- Pull request deleted (https://github.com/theforeman/foreman/pull/4520)

#6 - 05/10/2017 04:17 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4520 added

#7 - 05/15/2017 06:22 AM - Lukas Zapletal
- Related to Feature #19535: Silence notification Rails logs added

#8 - 05/15/2017 07:01 AM - matan werbner

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b8c9069dfabed7b700b5ccf813429783e03d0541.

#9 - 06/14/2017 02:54 PM - Marek Hulán

- translation missing: en.field_release set to 240
